<div class="min-w-full p-2">
    <form class="flex flex-col w-full" [formGroup]="sequenceList" (ngSubmit)="onFormSubmit(sequenceList.value)">
        <div class="pb-1">
            <div class="text-3xl font-cairo font-bold mb-6">
                New Numbering Sequence
            </div>
        </div>
        <mat-dialog-content class="min-w-full relative mb-4">

                <div class="w-full">
                    <div class="flex w-full">
                        <div class="w-full" formArrayName="numberingSequenceModels"> <!-- added new -->
                            <div *ngFor="let item of numberingSequenceModels.controls; let i=index"><!-- added new -->
                                <div [formGroupName]="i" class="flex flex-col"><!-- added new -->
                                    <div class="flex w-full items-end pb-2">
                                        <mat-form-field class="w-1/3 pr-2">
                                            <mat-label>Start Number</mat-label>
                                            <input matInput formControlName="startNumber"/>
                                            <!-- <mat-error>
                                                <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                                            </mat-error> -->
                                        </mat-form-field>

                                        <mat-form-field class="w-1/3 px-2">
                                            <mat-label>Suffix</mat-label>
                                            <input matInput formControlName="suffix"/>
                                            <!-- <mat-error>
                                                <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                                            </mat-error> -->
                                        </mat-form-field>

                                        <div class="w-1/3 pl-2">
                                            <mat-checkbox formControlName="isProjectExists" class="mt-4 mb-4" [color]="'primary'">
                                                Project Exists?
                                            </mat-checkbox>
                                        </div>

                                    </div>
                                    <div class="flex w-full pt-2">

                                        <mat-form-field class="w-1/3 pr-2">
                                            <mat-label>Start of No. Sequence</mat-label>
                                            <input matInput formControlName="startOfNoSequence"/>
                                             <!-- <mat-error>
                                                <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                                            </mat-error> -->
                                        </mat-form-field>

                                        <mat-form-field class="w-1/3 px-2">
                                            <mat-label>Start Date</mat-label>
                                            <input matInput [matDatepicker]="picker1" formControlName="startDate">
                                            <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                                            <mat-datepicker #picker1></mat-datepicker>
                                        </mat-form-field>

                                        <mat-form-field class="w-1/3 pl-2">
                                            <mat-label>End Date</mat-label>
                                            <input matInput [matDatepicker]="picker2" formControlName="endDate">
                                            <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                                            <mat-datepicker #picker2></mat-datepicker>
                                        </mat-form-field>
                                    </div>
                                   <!-- button for add new if applicable -->
                                </div>
                            </div>
                        </div>
                    </div>

                </div>

                <div class="flex flex-col justify-start mt-5">
                    <div class="flex align-center text-warn font-medium mb-2" *ngIf="iserror">
                        <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-warn"></mat-icon>
                        <span>{{'Successfully saved'}}</span>
                    </div>
                    <div class="flex align-center text-green font-medium mb-2" *ngIf="issuccess">
                        <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-green"></mat-icon>
                        <span>{{'Something went wrong'}}</span>
                    </div>
                </div>
        </mat-dialog-content>
        <mat-dialog-actions class="flex justify-end sticky bottom-0">
            <button mat-button mat-dialog-close [color]="'primary'" (click)="doAction()" type="button">
                <span class="mx-4">Cancel</span>
            </button>
            <button class="sm:inline-flex ml-4" mat-raised-button [color]="'primary'" type="submit">
                <span class="mx-4">Save</span>
            </button>
        </mat-dialog-actions>
    </form>

</div>
